Package org.eclipse.cdt.core.settings.model.util

# Class SettingsSet.EntryInfo

java.lang.Object
org.eclipse.cdt.core.settings.model.util.SettingsSet.EntryInfo

Enclosing class:
  SettingsSet

public static class SettingsSet.EntryInfo extends Object

## Method Summary

Modifier and Type
Method
Description
`EntryNameKey`
`getContentsKey()`
`Object`
`getCustomInfo()`
`ICLanguageSettingEntry`
`getEntry()`
`boolean`
`isOverridden()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getContentsKey

public EntryNameKey getContentsKey()

### getEntry

public ICLanguageSettingEntry getEntry()

### isOverridden

public boolean isOverridden()

### getCustomInfo

public Object getCustomInfo()